package com.osbcp.jjsw;

import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;

/**
 * Annotation used to declare a method that returns a JavaScript object as a JavaScript-function method
 * 
 * @author <a href=\"mailto:christoffer@christoffer.me\">Christoffer Pettersson</a>
 */

@Retention(RetentionPolicy.RUNTIME)
public @interface JavaScriptFunction {

}